module.exports = {
  env: {
    es2021: true,
    node: true,
  },
  parser: "@babel/eslint-parser",
  plugins: [
    '@babel',
    'react-redux',
    'unused-imports',
    'sonarjs',
    'prettier',
  ],
  extends: [
    'plugin:react-redux/recommended',
    'plugin:sonarjs/recommended',
    'prettier',
  ],
  parserOptions: {
    ecmaVersion: 12,
    sourceType: 'module',
    requireConfigFile: false,
  },
  rules: {
    'object-curly-newline': 'off',
    'linebreak-style': 0,
    'unused-imports/no-unused-imports': 2,
    'unused-imports/no-unused-vars': 2,
    'no-console': 2,
    'no-debugger': 2,
    'prettier/prettier': [
      'error',
      {
        endOfLine: 'auto',
      },
    ],
  },
};
